////////////////////////////////////////////////////////////////////////////
//
//  lib.h
//
//	Hier werden alle Header zu einem gebaut.
//
//	Author 	: Rene Bllhoff
//  Created : around Apr 10
//
//	(c) 2005-2010 by Rene Bllhoff - reneboellhoff (at) gmx (dot) de - 
//
//////////////////////////////////////////////////////////////////////////////
//
//  This source file may be used and distributed without
//  restriction provided that this copyright statement is not
//  removed from the file and that any derivative work contains
//  the original copyright notice and the associated disclaimer.
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  as published by the Free Software Foundation; either version 2
//  of the License, or (at your option) any later version.
//										
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.See the GNU
//  General Public License for more details.
//
//  You should have received a copy of the GNU General Public
//  License along with this source; if not, download it	from
//  http://www.gnu.org/licenses/gpl.html	
//
////////////////////////////////////////////////////////////////////////////	


	#ifndef __LIB_H__
		#define __LIB_H__


			#define U8  unsigned char
			#define U16 unsigned short
			#define U32 unsigned long
			#define I8					 char
			#define I16					 short
			#define I32					 long
			#define B8  unsigned char

			#define TRUE  1
			#define FALSE 0

			#define FLASHMEM 		PROGMEM
			#define FLASHMEMORY PROGMEM
			#define RAMMEMORY


			#define pgm_read_funcptr(x)								(pgm_read_word (x))
			#define pgm_read_ptr(x)				  ((void *) (pgm_read_word (x)))



			#include <avr/io.h>
			#include <avr/interrupt.h>
			#include <avr/pgmspace.h>
			#include <stdio.h>
			#include <string.h>





			#include "uart.h"

			#include "uParse.h"


		#endif
